package com.ruoyi.base.mapper;

import java.util.List;
import com.ruoyi.base.domain.DialogueLog;

/**
 * 对话日志Mapper接口
 * 
 * @author ruoyi
 * @date 2026-05-19
 */
public interface DialogueLogMapper 
{
    /**
     * 查询对话日志
     * 
     * @param id 对话日志主键
     * @return 对话日志
     */
    public DialogueLog selectDialogueLogById(Long id);

    /**
     * 查询对话日志列表
     * 
     * @param dialogueLog 对话日志
     * @return 对话日志集合
     */
    public List<DialogueLog> selectDialogueLogList(DialogueLog dialogueLog);

    /**
     * 新增对话日志
     * 
     * @param dialogueLog 对话日志
     * @return 结果
     */
    public int insertDialogueLog(DialogueLog dialogueLog);

    /**
     * 修改对话日志
     * 
     * @param dialogueLog 对话日志
     * @return 结果
     */
    public int updateDialogueLog(DialogueLog dialogueLog);

    /**
     * 删除对话日志
     * 
     * @param id 对话日志主键
     * @return 结果
     */
    public int deleteDialogueLogById(Long id);

    /**
     * 批量删除对话日志
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDialogueLogByIds(Long[] ids);
}
